<?php
date_default_timezone_set('America/Costa_Rica');

session_start();

 $usu=$_SESSION['username'];
 

		include('../conexion.php'); 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s'  or $_SESSION['tipo_usu']=='c'  or $_SESSION['tipo_usu']=='v'){
		}else{
			header('location:acesso_denegado.php');
		}
		
$hoy=date("d/m/Y");


$sel_fact="INSERT INTO facturastmp_compras (codfactura,fecha) VALUE ('',$hoy)";
$mysqli->query($sel_fact);
$codfacturatmp=$mysqli-> insert_id ; 


$consulta6 = "DELETE FROM  factulineatmp_compra  WHERE codfactura ='$codfacturatmp'";
$mysqli->query($consulta6);

		
$consulta1 = "DELETE FROM facturastmp_compras WHERE codfactura!='$codfacturatmp'";
$mysqli->query($consulta1);		
		
$consulta6 = "DELETE FROM  factulineatmp_compra  WHERE codfactura !='$codfacturatmp'";
$mysqli->query($consulta6);		
		
/*****************************************************/


if (!isset($_GET["compra"])) { $compra=0; } else  {  $compra=$_GET["compra"]; } 

$xml="../Comprobantes_mensajes/correos/".$compra;
$xmlurl="../Comprobantes_mensajes/correos/".$compra;

//$xml="correos/".$nombreArch;

/////////////////////////////////////////////////   LECTURA DEL XML ////////////////////////////////////////////////////

$xml = simplexml_load_file($xml);
	
$versionFactura="";
	// nos da todos los namespaces utilizados en el XML.
$namespace = $xml->getNamespaces(true);

// extraer la versión: Utilizamos preg_match para extraer la versión de la URL del espacio de nombres, buscando el patrón v4.3 o v4.4 (u otras versiones en formato vX.X).
preg_match('/v(\d+\.\d+)/', $namespace[''], $matches);

// Mostrar la versión
if (isset($matches[1])) {
		$versionFactura=$matches[1];
    echo "La version de la factura electronica es: " . $matches[1];
} else {
    echo "No se pudo determinar la version del XML.";
}




if ($versionFactura=="4.4"){


	$clave     = $xml->Clave;
	$clave     = substr($clave,-19,10);
	$fecemi    = $xml->FechaEmision;
	$cedrec    = $xml->Receptor -> Identificacion ->Numero;
	$cedproxml    = $xml->Emisor -> Identificacion ->Numero;
	


///////////////////////////////////////////////   BUSQUEDA DEL PROVEEDOR SEGUN XML ///////////////////////////////////////
	
		if ($result4 = $mysqli->query("SELECT * FROM proveedores WHERE cedpro='$cedproxml'")) {
		$filapro = $result4->num_rows;
		
		}
				
		if ($filapro > 0) {  /* si lo encuentra en  CDGBAR */
		
			
		$consultapro ="SELECT * FROM proveedores WHERE cedpro='$cedproxml'";
		$resultadopro = $mysqli->query($consultapro);
		$rowpro = $resultadopro->fetch_array();
		
		$cdgproxml=$rowpro["cdgpro"];
		$dscpro=$rowpro["dscpro"];
		$cedpro=$rowpro["cedpro"];
		

			}else{
			
			?>
			<script languaje="javascript">

			if (confirm("Atencion, Proveedor no se encuentra Registrado, \n\n    Desea Agregarlo antes de Continuar?"))	

			location.href="../Proveedores/nuevo_proveedor_referencia.php?xml="+"<?php echo $xmlurl ?>";

			
			
			</script>
			<?php
			$cdgproxml="";
			$dscpro="";
			$cedpro="";
				
			}
	
	$subgra = $xml->ResumenFactura -> TotalGravado;
	$subexe = $xml->ResumenFactura -> TotalExento;
	$totdes = $xml->ResumenFactura -> TotalDescuentos;
	$iva    = $xml->ResumenFactura -> TotalImpuesto;
	$flete  = '0';
	$otros  = $xml->ResumenFactura ->  TotalOtrosCargos;
	$totcomp   = $xml->ResumenFactura -> TotalComprobante;
	

	$subgra   = floatval($subgra);
	$subexe   = floatval($subexe);
	$totdes   = floatval($totdes);
	$iva      = floatval($iva);
	$otros    = floatval($otros);
	$totcomp  = floatval($totcomp);
	
	$fecha     = substr($fecemi,0,10);
    $fecha     = implode("-", array_reverse(explode("-", $fecha))); 

	
	
	 foreach($xml->DetalleServicio->LineaDetalle as $item){
	
		$desfac= 0;
		$cdgdes ="";

		 
		 $cdgbar = $item->CodigoComercial->Codigo;
		 $cdgbarxml = $item->CodigoComercial->Codigo;
		 $cant    = $item->Cantidad;	
		 $cant = floatval($cant);
		 $cantori   = $item->Cantidad;
		 $cantori = floatval($cantori);	 		 
		 $Detalle = $item->Detalle;
	 	 $cdgbar  = str_replace(' ', '', $cdgbar);
		 
		 $UniMedComer   = $item->UnidadMedidaComercial;
		 
		 
 			 $cdgcabys =  $item->CodigoCABYS; // cambio v 4.4
			$cdgimp = $item->Impuesto->Codigo;
			$cdgtar = $item->Impuesto->CodigoTarifaIVA; // cambio v 4.4
			$tarimp = $item->Impuesto->Tarifa;
			
			
	/// revisa varias  lineas de impuesto dentro de un mismo producto ///////////////
		  foreach($item->Impuesto as $item3){
				  
				$cdgimp = $item3->Codigo;
				$cdgtar = $item3->CodigoTarifaIVA; // cambio v 4.4
				$tarimp = $item3->Tarifa;
				
				}
				

/// revisa varias  lineas de descuento dentro de un mismo producto ///////////////
		  foreach($item->Descuento as $item2){
				  
				  $descuento    = $item2->MontoDescuento;	
			      $descuento   = floatval( $descuento);
				  $desfac = $descuento + $desfac;
				 $cdgdes    = $item2->CodigoDescuento;	
				
				}

   //////////////////////////////////////    FILTRAS LOS PRODUCTOS QUE COINCIDEN EN CUANTO A CODIGO ASOCIADO Y A CODIGO DE PROVEEDOR  ////////////////////////////////////
   
	if ($result4 = $mysqli->query("SELECT * FROM web_1001 WHERE   ( cdgpro = '$cdgproxml' OR cdgpro=''  ) AND ( CDGBAR='$cdgbar' or CDGBAR2='$cdgbar' or  CDGBAR3='$cdgbar' ) " )) {
   $fila = $result4->num_rows;

}


	if ($fila > 0) {  /* si lo encuentra en  CDGBAR */
	

				$dscart=$Detalle;
				$canart=$cant;
				$deslin=$totdes;

	
   //////////////////////////////////////    FILTRAS LOS PRODUCTOS QUE COINCIDEN EN CUANTO A CODIGO ASOCIADO Y A CODIGO DE PROVEEDOR  ////////////////////////////////////
   
	$consulta2 ="SELECT * FROM web_1001 WHERE ( cdgpro = '$cdgproxml' OR cdgpro=''  ) AND ( CDGBAR='$cdgbar' or CDGBAR2='$cdgbar' or  CDGBAR3='$cdgbar' )  ";
    $resultado2 = $mysqli->query($consulta2);
    $fila2 = $resultado2->fetch_array();

			    $cdgbar  = $fila2["CDGBAR"];   
				$cdgbar3  = $fila2["CDGBAR3"];          
				$dscart  = $fila2["DSCART"];     
				$cdglin  = $fila2["CDGLIN"];
				$cdgfam  = $fila2["CDGFAM"];
				$cdgpro_1001  = $fila2["cdgpro"];
				$ivporc_1001  = $fila2["ivporc"]; 
				
				//$cosart  = $fila2["cosart"];     ///*************************************   traerlo del XML *************************************
				$cosart    = $item->PrecioUnitario;
				$cosart   = floatval($cosart);
				$PrecioUnitario_total_empaque   = $item->PrecioUnitario;
				
				$utiart1 = $fila2["utiart1"];
				$utiart2 = $fila2["utiart2"];  ///// aplica la misma utilidad 1 a utilidad 2  /////////
				$PRE001  = $fila2["PRE001"];   
				$PRE002  = $fila2["PRE002"];   
				
				//$desfac  = $fila2["DESFAC"];     ///*************************************   traerlo del XML *************************************
				
				if ($tarimp <>  $ivporc_1001 ) {$diftar = $tarimp ; } else  {$diftar = 0  ;}
		
				$uniemp  = $fila2["uniemp"];
				
				/*********multiplica x cant de unidades del empaque****************/
				if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 
				

				if (($uniemp > 1) or ($UniMedComer=="CJ") )  {		
				if ( $canart > 1){		
				$canart = $canart * $uniemp;
					
				///echo $PrecioUnitario_total_empaque;	
					
				 $cosart  = (floatval($PrecioUnitario_total_empaque)/floatval($canart)) * floatval($cantori);
				//	 $cosart = floatval($cosart);
			
			
				}else{

				$canart = $canart * $uniemp;			
				$cosart  = floatval($PrecioUnitario_total_empaque)/floatval($canart) * floatval($cantori) ;
				//$cosart   = floatval($cosart,4);
				}	

				 if ($UniMedComer=="CJ"){

				 $canart    = $item->Cantidad;				 
				 $canart = $canart * $uniemp;	
				 $cosart  = (floatval($PrecioUnitario_total_empaque)/floatval($canart)) * floatval($cantori) ;

				}
		
				 if ($UniMedComer=="BOT"){
				
				$canart    = $item->Cantidad;	
				$canart = $canart ;
				$cosart    = $item->PrecioUnitario;
				$cosart   = floatval($cosart);

				}

		       	
					}
									
	$desfac   = floatval($desfac);
	$MontoTotal = $item->MontoTotal;
	$MontoTotal   = floatval($MontoTotal);
	if($desfac>0) { $desfac=($desfac/$MontoTotal)*100 ;}
				
		  
				$despro  = $fila2["DESART"];  
				$impart  = $fila2["impart"];     
				$fleart  = $fila2["fleart"];
				$cob_iv  = $fila2["COB_IV"];
				$ivporc  = $fila2["ivporc"]/100+1;	
				$ivporc_completa  = $fila2["ivporc"];	
				$tarred  = $fila2["tarred"];
				
					if ($tarred > 0  )  {     // si el producto tiene tarifa reducida
				
				//$cdgtar = $fila2["cdgtarred"];  // tarifa reducida 
				$ivporc_factura = $fila2["tarred"]/100+1;
				$ivporc_producto = $fila2["ivporc"]/100+1;		
		
			
				} else  {
				
				//$cdgtar = $fila2["cdgtar"];  // tarifa normal
				$ivporc_producto = $fila2["ivporc"]/100+1;	
				$ivporc_factura  = $fila2["ivporc"]/100+1;
			
				}
				

		$flelin=$fleart*$canart;	
		$importe=$cosart*$canart;	
		$deslin=($importe*$desfac)/100;

         $desfactura=($cosart*$desfac)/100;
		 $cosart_desfac=$cosart-$desfactura;
		 
		 $desart=($cosart*$despro)/100;
		 $cosart_des=$cosart-$desart;
		
		if ($cob_iv == 1) { 
		
		 $total_costo = ($cosart_des * $ivporc_producto) ;
		 $impart =$total_costo -$cosart_des ;
		 
		 
		 $total_costo_fac = ($cosart_desfac * $ivporc_factura) ;
		 $impart_fac = $total_costo_fac  - $cosart_desfac ;
		 

		} else {  
		
		$impart=0;	
		$impart_fac=0;
		}

		$implin=$impart_fac*$canart;
		$subtotal= $cosart + $impart - $desart;
		
		$utilidad1 = ($subtotal*$utiart1)/100;
		$utilidad2 = ($subtotal*$utiart2)/100;
	
		$PRE001 = $subtotal + $utilidad1 + $fleart;
	    $PRE001=round($PRE001);
		
		$PRE002 = $subtotal + $utilidad2 + $fleart;
		$PRE002=round($PRE002);
	 
	 
		$ultimo_valor_precio001=substr($PRE001,-1);
		$ultimo_valor_precio002=substr($PRE002,-1);	  // sustraigo el utimo digito del precio 
		
		
		if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
			$PRE001=$PRE001; 
		
		} else if ($ultimo_valor_precio001  ==  5){ 
			$PRE001=$PRE001;
		
		} else if ($ultimo_valor_precio001  >  5){ 
			$PRE001=round($PRE001,-1);
		
		}else { 
	   	$PRE001=round($PRE001,-1);
		$PRE001=$PRE001+5;
		}                                  //////////////////////////////////////////////


		if ($ultimo_valor_precio002 == 0) {              // redondeo precio 2
			$PRE002=$PRE002; 
		
		} else if ($ultimo_valor_precio002  ==  5){ 
			$PRE002=$PRE002;
		
		} else if ($ultimo_valor_precio002  >  5){ 
			$PRE002=round($PRE002,-1);
		
		}else { 
	   	$PRE002=round($PRE002,-1);
		$PRE002=$PRE002+5;
		}  
	
	if ($cosart <= 0)   { $chkbon = 1; $implin =  $item->ImpuestoNeto; } else    { $chkbon = 0  ; }   // si el articulo es bonificado lo marca como bonificado  en facttulinea tmp
	
					
					
					//if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 

if ( ($cdgproxml==$cdgpro_1001) || ($cdgpro_1001 == "")  || ($cdgbar3 <> "")    ){

  $sel_insert="INSERT INTO factulineatmp_compra (codfactura,numlinea,codigo,dscart,cdgfam,cdglin,canart,cosart, utiart1, utiart2, PRE001, PRE002,importe,desfac,despro,impart, fleart, implin,deslin, flelin ,borrado, cdgtar, tarimp , diftar  ,chkbon,cdgcabys,cdgdes) VALUES ('$codfacturatmp','','$cdgbar','$dscart','$cdgfam','$cdglin','$canart','$cosart', '$utiart1', '$utiart2','$PRE001', '$PRE002','$importe','$desfac','$despro','$impart','$fleart','$implin','$deslin' ,'$flelin' ,'0','$cdgtar' ,'$ivporc_completa' ,'$diftar'  ,'$chkbon','$cdgcabys','$cdgdes')";
	$mysqli->query($sel_insert);
	$desfac= 0;
		
}


/***********************************************/ 

 else {  /* SI NO EXISTE EN 1001*/


				
				//$cdgbar=$codbar;
				$dscart="( * ) " .$Detalle;
				$cdglin='';
				$cdgfam='';
				$canart=$cant;
				$canart= floatval($canart);
				$utiart1='0.00';
				$utiart2='0.00';
				$PRE001='0.00';
				$PRE002='0.00';
				$importe='0.00';
				$desfac='0.00';
				$despro='0.00';   ///// aplica el mismo descuento de la factura pasar a despro  /////////
				$impart='0.00';
				$fleart='0.00';
				$ivporc='0.00';
				$implin='0.00';
				$deslin='0.00';
				$flelin=$fleart*$canart;
				
							
 if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 
				
		// $cosart  = $PrecioUnitario	;
		// $cosart   = floatval($cosart);
		
				$cosart    = $item->PrecioUnitario;
				$cosart    = floatval($cosart);

				if ($canart > 0 ){

				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
			$desfac = $item->Descuento->MontoDescuento;
			$cdgdes    = $item->CodigoDescuento;	
			$desfac   = floatval($desfac);
			$MontoTotal = $item->MontoTotal;
			$MontoTotal   = floatval($MontoTotal);
			$desfac=($desfac/$MontoTotal)*100 ;

				$importe=$cosart*$canart;				
				$deslin=($importe*$desfac)/100;
				
				
				}
				
				else{
	
				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
				
				$desfac = $item->Descuento->MontoDescuento;
				$cdgdes    = $item->CodigoDescuento;
				$desfac   = floatval($desfac);
				$MontoTotal = $item->MontoTotal;
				$MontoTotal   = floatval($MontoTotal);
				$desfac=($desfac/$MontoTotal)*100 ;
				
				$importe=$cosart*$canart;	
				
				$deslin=($importe*$desfac)/100;
		
				
				}
				

		///////////  REDONDEO DE PREICIO FINAL ////////////////////////
	 
		$ultimo_valor_precio001=substr($PRE001,-1);
		$ultimo_valor_precio002=substr($PRE002,-1);	  // sustraigo el utimo digito del precio 
		
		
		if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
			$PRE001=$PRE001; 
		
		} else if ($ultimo_valor_precio001  ==  5){ 
			$PRE001=$PRE001;
		
		} else if ($ultimo_valor_precio001  >  5){ 
			$PRE001=round($PRE001,-1);
		
		}else { 
	   	$PRE001=round($PRE001,-1);
		$PRE001=$PRE001+5;
		}                                  //////////////////////////////////////////////


		if ($ultimo_valor_precio002 == 0) {              // redondeo precio 2
			$PRE002=$PRE002; 
		
		} else if ($ultimo_valor_precio002  ==  5){ 
			$PRE002=$PRE002;
		
		} else if ($ultimo_valor_precio002  >  5){ 
			$PRE002=round($PRE002,-1);
		
		}else { 
	   	$PRE002=round($PRE002,-1);
		$PRE002=$PRE002+5;
		}  
		
		$dscart= str_replace("#", "", $dscart);
		
				if ($cosart <= 0)   { $chkbon = 1; $implin =  $item->ImpuestoNeto; } else    { $chkbon = 0  ; }   // si el articulo es bonificado lo marca como bonificado  en facttulinea tmp
		
				 $sel_insert="INSERT INTO factulineatmp_compra (codfactura,numlinea,codigo,cdgcabys,dscart,cdgfam,cdglin,canart,cosart, utiart1, utiart2, PRE001, PRE002,importe,desfac,despro,impart, fleart, implin,deslin, flelin ,borrado, cdgimp ,cdgtar,tarimp , diftar  , chkbon,cdgdes) VALUES ('$codfacturatmp','','$cdgbarxml','$cdgcabys','$dscart','$cdgfam','$cdglin','$canart','$cosart', '$utiart1', '$utiart2','$PRE001', '$PRE002','$importe','$desfac','$despro','$impart','$fleart','$implin','$deslin' ,'$flelin' ,'0','$cdgimp' ,'$cdgtar' ,'$tarimp' , '0'  ,'$chkbon','$cdgdes' )";
					$mysqli->query($sel_insert);
					

}  


}	

  else {  /* SI NO EXISTE EN 1001*/


				
				//$cdgbar=$codbar;
				$dscart="( * ) " .$Detalle;
				$cdglin='';
				$cdgfam='';
				$canart=$cant;
				$canart = floatval($canart);	
				//$cosart='0.00';
				$utiart1='0.00';
				$utiart2='0.00';
				$PRE001='0.00';
				$PRE002='0.00';
				$importe='0.00';
				$desfac='0.00';
				$despro='0.00';   ///// aplica el mismo descuento de la factura pasar a despro  /////////
				$impart='0.00';
				$fleart='0.00';
				$ivporc='0.00';
				$implin='0.00';
				$deslin='0.00';
				$flelin=$fleart*$canart;
				
							
 if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 
  if ($item->Descuento->MontoDescuento>0){ $cdgdes = $item->Descuento->CodigoDescuento;} 
				
		// $cosart  = $PrecioUnitario	;
		// $cosart   = floatval($cosart);
		
				$cosart    = $item->PrecioUnitario;
				$cosart   = floatval($cosart);

				if ($canart > 0 ){

				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
			$desfac = $item->Descuento->MontoDescuento;
			$desfac   = floatval($desfac);
			
			$MontoTotal = $item->MontoTotal;
			$MontoTotal   = floatval($MontoTotal);
			if($MontoTotal > 0 ){
			$desfac=($desfac/$MontoTotal)*100 ;
			} else  {
			
			$desfac=0 ;
			}
				$importe=$cosart*$canart;				
				$deslin=($importe*$desfac)/100;
				
				
				}
				
				else{
	
				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
				
				$desfac = $item->Descuento->MontoDescuento;
				$desfac   = floatval($desfac);
				
				$MontoTotal = $item->MontoTotal;
				$MontoTotal   = floatval($MontoTotal);
				$desfac=($desfac/$MontoTotal)*100 ;
				
				$importe=$cosart*$canart;	
				
				$deslin=($importe*$desfac)/100;
		
				
				}

		///////////  REDONDEO DE PREICIO FINAL ////////////////////////
	 
		$ultimo_valor_precio001=substr($PRE001,-1);
		$ultimo_valor_precio002=substr($PRE002,-1);	  // sustraigo el utimo digito del precio 
		
		
		if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
			$PRE001=$PRE001; 
		
		} else if ($ultimo_valor_precio001  ==  5){ 
			$PRE001=$PRE001;
		
		} else if ($ultimo_valor_precio001  >  5){ 
			$PRE001=round($PRE001,-1);
		
		}else { 
	   	$PRE001=round($PRE001,-1);
		$PRE001=$PRE001+5;
		}                                  //////////////////////////////////////////////


		if ($ultimo_valor_precio002 == 0) {              // redondeo precio 2
			$PRE002=$PRE002; 
		
		} else if ($ultimo_valor_precio002  ==  5){ 
			$PRE002=$PRE002;
		
		} else if ($ultimo_valor_precio002  >  5){ 
			$PRE002=round($PRE002,-1);
		
		}else { 
	   	$PRE002=round($PRE002,-1);
		$PRE002=$PRE002+5;
		}  

/// error de importe ////
	$dscart= str_replace("#", "", $dscart);
	$dscart= str_replace("'", "", $dscart);
	$dscart= str_replace('"', "PULG.", $dscart);
	
	
	
		if ($cosart <= 0)   { $chkbon = 1  ; } else    { $chkbon = 0  ; }   // si el articulo es bonificado lo marca como bonificado  en facttulinea tmp
		
				 $sel_insert="INSERT INTO factulineatmp_compra (codfactura,numlinea,codigo,cdgcabys,dscart,cdgfam,cdglin,canart,cosart, utiart1, utiart2, PRE001, PRE002,importe,desfac,despro,impart, fleart, implin,deslin, flelin ,borrado, cdgimp ,cdgtar,tarimp , diftar , chkbon ,cdgdes) VALUES ('$codfacturatmp','','$cdgbar','$cdgcabys','$dscart','$cdgfam','$cdglin','$canart','$cosart', '$utiart1', '$utiart2','$PRE001', '$PRE002','$importe','$desfac','$despro','$impart','$fleart','$implin','$deslin' ,'$flelin' ,'0','$cdgimp' ,'$cdgtar' ,'$tarimp' , '0'  ,'$chkbon','$cdgdes')";
					$mysqli->query($sel_insert);
					

}  


	}  // fin for


  
  
  }// fin v4.4
  
   else{  // inicia v4.3
   
   $clave     = $xml->Clave;
	$clave     = substr($clave,-19,10);
	$fecemi    = $xml->FechaEmision;
	$cedrec    = $xml->Receptor -> Identificacion ->Numero;
	$cedproxml    = $xml->Emisor -> Identificacion ->Numero;
	


///////////////////////////////////////////////   BUSQUEDA DEL PROVEEDOR SEGUN XML ///////////////////////////////////////
	
		if ($result4 = $mysqli->query("SELECT * FROM proveedores WHERE cedpro='$cedproxml'")) {
		$filapro = $result4->num_rows;
		
		}
				
		if ($filapro > 0) {  /* si lo encuentra en  CDGBAR */
		
			
		$consultapro ="SELECT * FROM proveedores WHERE cedpro='$cedproxml'";
		$resultadopro = $mysqli->query($consultapro);
		$rowpro = $resultadopro->fetch_array();
		
		$cdgproxml=$rowpro["cdgpro"];
		$dscpro=$rowpro["dscpro"];
		$cedpro=$rowpro["cedpro"];
		

			}else{
			
			?>
			<script languaje="javascript">

			if (confirm("Atencion, Proveedor no se encuentra Registrado, \n\n    Desea Agregarlo antes de Continuar?"))	

			location.href="../Proveedores/nuevo_proveedor_referencia.php?xml="+"<?php echo $xmlurl ?>";

			
			
			</script>
			<?php
			$cdgproxml="";
			$dscpro="";
			$cedpro="";
				
			}
	
	$subgra = $xml->ResumenFactura -> TotalGravado;
	$subexe = $xml->ResumenFactura -> TotalExento;
	$totdes = $xml->ResumenFactura -> TotalDescuentos;
	$iva    = $xml->ResumenFactura -> TotalImpuesto;
	$flete  = '0';
	$otros  = $xml->ResumenFactura ->  TotalOtrosCargos;
	$totcomp   = $xml->ResumenFactura -> TotalComprobante;
	

	$subgra   = floatval($subgra);
	$subexe   = floatval($subexe);
	$totdes   = floatval($totdes);
	$iva      = floatval($iva);
	$otros    = floatval($otros);
	$totcomp  = floatval($totcomp);
	
	$fecha     = substr($fecemi,0,10);
    $fecha     = implode("-", array_reverse(explode("-", $fecha))); 

	
	
	 foreach($xml->DetalleServicio->LineaDetalle as $item){
	
		$desfac= 0;

		 
		 $cdgbar = $item->CodigoComercial->Codigo;
		 $cdgbarxml = $item->CodigoComercial->Codigo;
		 $cant    = $item->Cantidad;	
		 $cant = floatval($cant);
		 $cantori   = $item->Cantidad;
		 $cantori = floatval($cantori);	 		 
		 $Detalle = $item->Detalle;
	 	 $cdgbar  = str_replace(' ', '', $cdgbar);
		 
		 $UniMedComer   = $item->UnidadMedidaComercial;
 
			$cdgcabys =  $item->Codigo;
			$cdgimp = $item->Impuesto->Codigo;
			$cdgtar = $item->Impuesto->CodigoTarifa;
			$tarimp = $item->Impuesto->Tarifa;
			
			
	/// revisa varias  lineas de impuesto dentro de un mismo producto ///////////////
		  foreach($item->Impuesto as $item3){
				  
				$cdgimp = $item3->Codigo;
				$cdgtar = $item3->CodigoTarifa;
				$tarimp = $item3->Tarifa;
				
				}
				
				

/// revisa varias  lineas de descuento dentro de un mismo producto ///////////////
		  foreach($item->Descuento as $item2){
				  
				  $descuento    = $item2->MontoDescuento;	
			      $descuento   = floatval( $descuento);
				  $desfac = $descuento + $desfac;
				
				}

   //////////////////////////////////////    FILTRAS LOS PRODUCTOS QUE COINCIDEN EN CUANTO A CODIGO ASOCIADO Y A CODIGO DE PROVEEDOR  ////////////////////////////////////
   
	if ($result4 = $mysqli->query("SELECT * FROM web_1001 WHERE   ( cdgpro = '$cdgproxml' OR cdgpro=''  ) AND ( CDGBAR='$cdgbar' or CDGBAR2='$cdgbar' or  CDGBAR3='$cdgbar' ) " )) {
   $fila = $result4->num_rows;

}


	if ($fila > 0) {  /* si lo encuentra en  CDGBAR */
	

				$dscart=$Detalle;
				$canart=$cant;
				$deslin=$totdes;

	
   //////////////////////////////////////    FILTRAS LOS PRODUCTOS QUE COINCIDEN EN CUANTO A CODIGO ASOCIADO Y A CODIGO DE PROVEEDOR  ////////////////////////////////////
   
	$consulta2 ="SELECT * FROM web_1001 WHERE ( cdgpro = '$cdgproxml' OR cdgpro=''  ) AND ( CDGBAR='$cdgbar' or CDGBAR2='$cdgbar' or  CDGBAR3='$cdgbar' )  ";
    $resultado2 = $mysqli->query($consulta2);
    $fila2 = $resultado2->fetch_array();

			    $cdgbar  = $fila2["CDGBAR"];   
				$cdgbar3  = $fila2["CDGBAR3"];          
				$dscart  = $fila2["DSCART"];     
				$cdglin  = $fila2["CDGLIN"];
				$cdgfam  = $fila2["CDGFAM"];
				$cdgpro_1001  = $fila2["cdgpro"];
				$ivporc_1001  = $fila2["ivporc"]; 
				
				//$cosart  = $fila2["cosart"];     ///*************************************   traerlo del XML *************************************
				$cosart    = $item->PrecioUnitario;
				$cosart   = floatval($cosart);
				$PrecioUnitario_total_empaque   = $item->PrecioUnitario;
				
				$utiart1 = $fila2["utiart1"];
				$utiart2 = $fila2["utiart2"];  ///// aplica la misma utilidad 1 a utilidad 2  /////////
				$PRE001  = $fila2["PRE001"];   
				$PRE002  = $fila2["PRE002"];   
				
				//$desfac  = $fila2["DESFAC"];     ///*************************************   traerlo del XML *************************************
				
				if ($tarimp <>  $ivporc_1001 ) {$diftar = $tarimp ; } else  {$diftar = 0  ;}
		
				$uniemp  = $fila2["uniemp"];
				
				/*********multiplica x cant de unidades del empaque****************/
				if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 
				

				if (($uniemp > 1) or ($UniMedComer=="CJ") )  {		
				if ( $canart > 1){		
				$canart = $canart * $uniemp;
					
				///echo $PrecioUnitario_total_empaque;	
					
				 $cosart  = (floatval($PrecioUnitario_total_empaque)/floatval($canart)) * floatval($cantori);
				//	 $cosart = floatval($cosart);
			
			
				}else{

				$canart = $canart * $uniemp;			
				$cosart  = floatval($PrecioUnitario_total_empaque)/floatval($canart) * floatval($cantori) ;
				//$cosart   = floatval($cosart,4);
				}	

				 if ($UniMedComer=="CJ"){

				 $canart    = $item->Cantidad;				 
				 $canart = $canart * $uniemp;	
				 $cosart  = (floatval($PrecioUnitario_total_empaque)/floatval($canart)) * floatval($cantori) ;

				}
		
				 if ($UniMedComer=="BOT"){
				
				$canart    = $item->Cantidad;	
				$canart = $canart ;
				$cosart    = $item->PrecioUnitario;
				$cosart   = floatval($cosart);

				}

		       	
					}
									
	$desfac   = floatval($desfac);
	$MontoTotal = $item->MontoTotal;
	$MontoTotal   = floatval($MontoTotal);
	if($desfac>0) { $desfac=($desfac/$MontoTotal)*100 ;}
				
		  
				$despro  = $fila2["DESART"];  
				$impart  = $fila2["impart"];     
				$fleart  = $fila2["fleart"];
				$cob_iv  = $fila2["COB_IV"];
				$ivporc  = $fila2["ivporc"]/100+1;	
				$ivporc_completa  = $fila2["ivporc"];	
				$tarred  = $fila2["tarred"];
				
					if ($tarred > 0  )  {     // si el producto tiene tarifa reducida
				
				$cdgtar = $fila2["cdgtarred"];  // tarifa reducida 
				$ivporc_factura = $fila2["tarred"]/100+1;
				$ivporc_producto = $fila2["ivporc"]/100+1;		
		
			
				} else  {
				
				$cdgtar = $fila2["cdgtar"];  // tarifa normal
				$ivporc_producto = $fila2["ivporc"]/100+1;	
				$ivporc_factura  = $fila2["ivporc"]/100+1;
			
				}
				

		$flelin=$fleart*$canart;	
		$importe=$cosart*$canart;	
		$deslin=($importe*$desfac)/100;

         $desfactura=($cosart*$desfac)/100;
		 $cosart_desfac=$cosart-$desfactura;
		 
		 $desart=($cosart*$despro)/100;
		 $cosart_des=$cosart-$desart;
		
		if ($cob_iv == 1) { 
		
		 $total_costo = ($cosart_des * $ivporc_producto) ;
		 $impart =$total_costo -$cosart_des ;
		 
		 
		 $total_costo_fac = ($cosart_desfac * $ivporc_factura) ;
		 $impart_fac = $total_costo_fac  - $cosart_desfac ;
		 

		} else {  
		
		$impart=0;	
		$impart_fac=0;
		}

		$implin=$impart_fac*$canart;
		$subtotal= $cosart + $impart - $desart;
		
		$utilidad1 = ($subtotal*$utiart1)/100;
		$utilidad2 = ($subtotal*$utiart2)/100;
	
		$PRE001 = $subtotal + $utilidad1 + $fleart;
	    $PRE001=round($PRE001);
		
		$PRE002 = $subtotal + $utilidad2 + $fleart;
		$PRE002=round($PRE002);
	 
	 
		$ultimo_valor_precio001=substr($PRE001,-1);
		$ultimo_valor_precio002=substr($PRE002,-1);	  // sustraigo el utimo digito del precio 
		
		
		if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
			$PRE001=$PRE001; 
		
		} else if ($ultimo_valor_precio001  ==  5){ 
			$PRE001=$PRE001;
		
		} else if ($ultimo_valor_precio001  >  5){ 
			$PRE001=round($PRE001,-1);
		
		}else { 
	   	$PRE001=round($PRE001,-1);
		$PRE001=$PRE001+5;
		}                                  //////////////////////////////////////////////


		if ($ultimo_valor_precio002 == 0) {              // redondeo precio 2
			$PRE002=$PRE002; 
		
		} else if ($ultimo_valor_precio002  ==  5){ 
			$PRE002=$PRE002;
		
		} else if ($ultimo_valor_precio002  >  5){ 
			$PRE002=round($PRE002,-1);
		
		}else { 
	   	$PRE002=round($PRE002,-1);
		$PRE002=$PRE002+5;
		}  
	
	if ($cosart <= 0)   { $chkbon = 1; $implin =  $item->ImpuestoNeto; } else    { $chkbon = 0  ; }   // si el articulo es bonificado lo marca como bonificado  en facttulinea tmp
	
					
					
					//if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 

if ( ($cdgproxml==$cdgpro_1001) || ($cdgpro_1001 == "")  || ($cdgbar3 <> "")    ){

  $sel_insert="INSERT INTO factulineatmp_compra (codfactura,numlinea,codigo,dscart,cdgfam,cdglin,canart,cosart, utiart1, utiart2, PRE001, PRE002,importe,desfac,despro,impart, fleart, implin,deslin, flelin ,borrado, cdgtar, tarimp , diftar  ,chkbon) VALUES ('$codfacturatmp','','$cdgbar','$dscart','$cdgfam','$cdglin','$canart','$cosart', '$utiart1', '$utiart2','$PRE001', '$PRE002','$importe','$desfac','$despro','$impart','$fleart','$implin','$deslin' ,'$flelin' ,'0','$cdgtar' ,'$ivporc_completa' ,'$diftar'  ,'$chkbon')";
	$mysqli->query($sel_insert);
	$desfac= 0;
		
}


/***********************************************/ 

 else {  /* SI NO EXISTE EN 1001*/


				
				//$cdgbar=$codbar;
				$dscart="( * ) " .$Detalle;
				$cdglin='';
				$cdgfam='';
				$canart=$cant;
				$canart= floatval($canart);
				$utiart1='0.00';
				$utiart2='0.00';
				$PRE001='0.00';
				$PRE002='0.00';
				$importe='0.00';
				$desfac='0.00';
				$despro='0.00';   ///// aplica el mismo descuento de la factura pasar a despro  /////////
				$impart='0.00';
				$fleart='0.00';
				$ivporc='0.00';
				$implin='0.00';
				$deslin='0.00';
				$flelin=$fleart*$canart;
				
							
 if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 
				
		// $cosart  = $PrecioUnitario	;
		// $cosart   = floatval($cosart);
		
				$cosart    = $item->PrecioUnitario;
				$cosart    = floatval($cosart);

				if ($canart > 0 ){

				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
			$desfac = $item->Descuento->MontoDescuento;
			$desfac   = floatval($desfac);
			$MontoTotal = $item->MontoTotal;
			$MontoTotal   = floatval($MontoTotal);
			$desfac=($desfac/$MontoTotal)*100 ;

				$importe=$cosart*$canart;				
				$deslin=($importe*$desfac)/100;
				
				
				}
				
				else{
	
				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
				
				$desfac = $item->Descuento->MontoDescuento;
				$desfac   = floatval($desfac);
				$MontoTotal = $item->MontoTotal;
				$MontoTotal   = floatval($MontoTotal);
				$desfac=($desfac/$MontoTotal)*100 ;
				
				$importe=$cosart*$canart;	
				
				$deslin=($importe*$desfac)/100;
		
				
				}
				

		///////////  REDONDEO DE PREICIO FINAL ////////////////////////
	 
		$ultimo_valor_precio001=substr($PRE001,-1);
		$ultimo_valor_precio002=substr($PRE002,-1);	  // sustraigo el utimo digito del precio 
		
		
		if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
			$PRE001=$PRE001; 
		
		} else if ($ultimo_valor_precio001  ==  5){ 
			$PRE001=$PRE001;
		
		} else if ($ultimo_valor_precio001  >  5){ 
			$PRE001=round($PRE001,-1);
		
		}else { 
	   	$PRE001=round($PRE001,-1);
		$PRE001=$PRE001+5;
		}                                  //////////////////////////////////////////////


		if ($ultimo_valor_precio002 == 0) {              // redondeo precio 2
			$PRE002=$PRE002; 
		
		} else if ($ultimo_valor_precio002  ==  5){ 
			$PRE002=$PRE002;
		
		} else if ($ultimo_valor_precio002  >  5){ 
			$PRE002=round($PRE002,-1);
		
		}else { 
	   	$PRE002=round($PRE002,-1);
		$PRE002=$PRE002+5;
		}  
		
		$dscart= str_replace("#", "", $dscart);
		
				if ($cosart <= 0)   { $chkbon = 1; $implin =  $item->ImpuestoNeto; } else    { $chkbon = 0  ; }   // si el articulo es bonificado lo marca como bonificado  en facttulinea tmp
		
				$sel_insert="INSERT INTO factulineatmp_compra (codfactura,numlinea,codigo,cdgcabys,dscart,cdgfam,cdglin,canart,cosart, utiart1, utiart2, PRE001, PRE002,importe,desfac,despro,impart, fleart, implin,deslin, flelin ,borrado, cdgimp ,cdgtar,tarimp , diftar  , chkbon) VALUES ('$codfacturatmp','','$cdgbarxml','$cdgcabys','$dscart','$cdgfam','$cdglin','$canart','$cosart', '$utiart1', '$utiart2','$PRE001', '$PRE002','$importe','$desfac','$despro','$impart','$fleart','$implin','$deslin' ,'$flelin' ,'0','$cdgimp' ,'$cdgtar' ,'$tarimp' , '0'  ,'$chkbon' )";
					$mysqli->query($sel_insert);
					

}  


}	

  else {  /* SI NO EXISTE EN 1001*/


				
				//$cdgbar=$codbar;
				$dscart="( * ) " .$Detalle;
				$cdglin='';
				$cdgfam='';
				$canart=$cant;
				$canart = floatval($canart);	
				//$cosart='0.00';
				$utiart1='0.00';
				$utiart2='0.00';
				$PRE001='0.00';
				$PRE002='0.00';
				$importe='0.00';
				$desfac='0.00';
				$despro='0.00';   ///// aplica el mismo descuento de la factura pasar a despro  /////////
				$impart='0.00';
				$fleart='0.00';
				$ivporc='0.00';
				$implin='0.00';
				$deslin='0.00';
				$flelin=$fleart*$canart;
				
							
 if ($item->Impuesto->Monto>0){$implin = $item->Impuesto->Monto;} 
				
		// $cosart  = $PrecioUnitario	;
		// $cosart   = floatval($cosart);
		
				$cosart    = $item->PrecioUnitario;
				$cosart   = floatval($cosart);

				if ($canart > 0 ){

				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
			$desfac = $item->Descuento->MontoDescuento;
			$desfac   = floatval($desfac);
			$MontoTotal = $item->MontoTotal;
			$MontoTotal   = floatval($MontoTotal);
			if($MontoTotal > 0 ){
			$desfac=($desfac/$MontoTotal)*100 ;
			} else  {
			
			$desfac=0 ;
			}
				$importe=$cosart*$canart;				
				$deslin=($importe*$desfac)/100;
				
				
				}
				
				else{
	
				//$desfac=round(($Descuento/$cosart)*100); // averigua porcentage de descuento
				
				$desfac = $item->Descuento->MontoDescuento;
				$desfac   = floatval($desfac);
				$MontoTotal = $item->MontoTotal;
				$MontoTotal   = floatval($MontoTotal);
				$desfac=($desfac/$MontoTotal)*100 ;
				
				$importe=$cosart*$canart;	
				
				$deslin=($importe*$desfac)/100;
		
				
				}

		///////////  REDONDEO DE PREICIO FINAL ////////////////////////
	 
		$ultimo_valor_precio001=substr($PRE001,-1);
		$ultimo_valor_precio002=substr($PRE002,-1);	  // sustraigo el utimo digito del precio 
		
		
		if ($ultimo_valor_precio001 == 0) {              // redondeo precio 1
			$PRE001=$PRE001; 
		
		} else if ($ultimo_valor_precio001  ==  5){ 
			$PRE001=$PRE001;
		
		} else if ($ultimo_valor_precio001  >  5){ 
			$PRE001=round($PRE001,-1);
		
		}else { 
	   	$PRE001=round($PRE001,-1);
		$PRE001=$PRE001+5;
		}                                  //////////////////////////////////////////////


		if ($ultimo_valor_precio002 == 0) {              // redondeo precio 2
			$PRE002=$PRE002; 
		
		} else if ($ultimo_valor_precio002  ==  5){ 
			$PRE002=$PRE002;
		
		} else if ($ultimo_valor_precio002  >  5){ 
			$PRE002=round($PRE002,-1);
		
		}else { 
	   	$PRE002=round($PRE002,-1);
		$PRE002=$PRE002+5;
		}  

/// error de importe ////
	$dscart= str_replace("#", "", $dscart);
	$dscart= str_replace("'", "", $dscart);
	$dscart= str_replace('"', "PULG.", $dscart);
	
		if ($cosart <= 0)   { $chkbon = 1  ; } else    { $chkbon = 0  ; }   // si el articulo es bonificado lo marca como bonificado  en facttulinea tmp
		
				$sel_insert="INSERT INTO factulineatmp_compra (codfactura,numlinea,codigo,cdgcabys,dscart,cdgfam,cdglin,canart,cosart, utiart1, utiart2, PRE001, PRE002,importe,desfac,despro,impart, fleart, implin,deslin, flelin ,borrado, cdgimp ,cdgtar,tarimp , diftar , chkbon ) VALUES ('$codfacturatmp','','$cdgbar','$cdgcabys','$dscart','$cdgfam','$cdglin','$canart','$cosart', '$utiart1', '$utiart2','$PRE001', '$PRE002','$importe','$desfac','$despro','$impart','$fleart','$implin','$deslin' ,'$flelin' ,'0','$cdgimp' ,'$cdgtar' ,'$tarimp' , '0'  ,'$chkbon')";
					$mysqli->query($sel_insert);
					

}  


	}  // fin for

  
  
  }// fin v4.3

?>

<html>
	<head>
		<title>Principal</title>
		
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
		<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>
        
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
        
        
        
        
        <script type="text/javascript" src="../JsInputMask-master/input-mask.js" ></script>
        
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		
	
	  
  window.onkeydown = tecla;

  function tecla(event) {
	  
	  


  if( event.keyCode > 111 && event.keyCode < 123 || event.keyCode ==27	) {    num = event.keyCode;

if(num==113)abreVentana(); // f3  busqueda de clientes 
if(num==115){ ventanaArticulos(); } // f8 busqueda de articulos
 
  }  }

          /////////   deshabilitar el f5 refrecar del navegador ///////////

//desactivar tecla f5
function f5()
{
var tecla=window.event.keyCode;
if (tecla==116) { event.keyCode=0;
event.returnValue=false;}
}


	
	  
		
		var miPopup;
		
		
		function abreVentana(){
			miPopup = window.open("ver_proveedores.php","miwin","width=900,height=650,scrollbars=yes");
			miPopup.focus();
				document.getElementById("fecfac").focus();
				document.getElementById("fecfac").select();
			validarfactura();
		}
		
		function validarfactura(){
		
			var numfac=document.getElementById("numfac").value;
			var cdgpro=document.getElementById("cdgpro").value;
			
			
		miPopup = window.open("Comprobar_Factura_xml.php?numfac="+numfac+"&cdgpro="+cdgpro, "frame_datos3","width=900,height=90,scrollbars=yes");
			
			miPopup.focus();
		}	
		
		function ventanaArticulos(){
			var codigo=document.getElementById("cdgpro").value;
			if (codigo=="") {
				alert ("Debe introducir el codigo del proveedor");
			} else {
				miPopup = window.open("ver_articulos.php","miwin","width=1100,height=650,scrollbars=yes");
				actualizar_importe ();
			}
		}
	
	
		
					
		
		function validarproveedor(){
			var codigo=document.getElementById("cdgpro").value;
		     if (document.getElementById("cdgpro").value==9999){
			    document.getElementById("dscpro").value="Estimado proveedor";
			    document.getElementById("cedpro").value="";
			document.getElementById("fecfac").focus();
			document.getElementById("fecfac").select();
				
			 } else {
			miPopup = window.open("comprobarproveedor.php?cdgpro="+codigo,"frame_datos1","width=900,height=90,scrollbars=yes");
			miPopup.focus();
			document.getElementById("fecfac").focus();
			document.getElementById("fecfac").select();
			
		}	
		}
			function validararticulo(){
			var canart=document.getElementById("canart").value;
			var codigo=document.getElementById("cdgbar").value;
			
			if (codigo != "" ){
		  miPopup = window.open("comprobararticulo.php?cdgbar="+codigo+"&canart="+canart,"frame_datos2","width=900,height=90,scrollbars=yes");
			}
		}	


		
			function nuevo_articulo(codigo,dscart,codfactura,numlinea){
			
		var cdgpro=document.getElementById("cdgpro").value;
		miPopup = window.open("../inventario/nuevo_articulo_xml.php?cdgbar="+codigo+"&codfactura="+codfactura+"&numlinea="+numlinea+"&cdgpro="+cdgpro,"miwin","width=1300,height=850,scrollbars=yes");



			}	
			
		
				function modificar_articulo(cdgbar,codfactura,numlinea){
		
		miPopup = window.open("../inventario/modificar_articulo_xml.php?cdgbar="+cdgbar+"&codfactura="+codfactura+"&numlinea="+numlinea,"miwin","width=1500,height=850,scrollbars=yes");


			}	
			
		
		function cancelar() {
			location.href="index.php";
		}
		
		
				function lista_xml() {
		
			location.href="../Comprobantes_mensajes/listar_correos.php";
		}	
			
		
		function limpiarcaja() {
			document.getElementById("dscpro").value="";
			document.getElementById("cedpro").value="";
		}
		
		
		
		
		
function limpiararticulo() {
		
			document.getElementById("dscart").value="";
			document.getElementById("cosart").value="";
			document.getElementById("utiart1").value="";
			document.getElementById("utiart2").value="";			
			document.getElementById("desfac").value="";
			document.getElementById("despro").value="";
			document.getElementById("desfac").value="";
			document.getElementById("cob_iv").value="";
			document.getElementById("importe").value="";
			document.getElementById("PRE001").value="";
			document.getElementById("PRE002").value="";
			document.getElementById("importe").value="";
			document.getElementById("cdglin").value="";	
			document.getElementById("cdgfam").value="";	
			document.getElementById("fleart").value="";	
			document.getElementById("flete_producto").value="";
			document.getElementById("impuesto_producto").value="";
			document.getElementById("impuesto_factura").value="";
			document.getElementById("descuento_producto").value="";
			document.getElementById("descuento_factura").value="";
			
		}
		
		
	
	
function calcular_factura()
		{
		
			
				document.getElementById("totfac").value="";
				
					var impfac=document.getElementById("impfac").value;
					var subexe=document.getElementById("subexe").value;
					var subgra=document.getElementById("subgra").value;
					var desfactot=document.getElementById("desfactot").value;
					var flefac=document.getElementById("flefac").value;
					var otrfac=document.getElementById("otrfac").value;
	
				
				
  if (subexe==""){ subexe=0; document.getElementById("subexe").value=0.00;} else { subexe2= subexe.replace(",","");   subexe= subexe2.replace(",","");} ;
  if (subgra==""){ subgra=0; document.getElementById("subgra").value=0.00;} else { subgra2= subgra.replace(",","");   subgra= subgra2.replace(",","");} ;
  if (impfac==""){ impfac=0; document.getElementById("impfac").value=0.00;} else { impfac2= impfac.replace(",","");   impfac= impfac2.replace(",","");} ;
  if (desfactot==""){desfactot=0; document.getElementById("desfactot").value=0.00;}  else { desfactot= desfactot.replace(",",""); } ;
  if (flefac==""){flefac=0; document.getElementById("flefac").value=0.00;}  else { flefac= flefac.replace(",",""); } ;
  if (otrfac==""){otrfac=0; document.getElementById("otrfac").value=0.00;}  else { otrfac= otrfac.replace(",",""); } ;

					
				
			totfac= (parseFloat(subgra)+parseFloat(subexe)-parseFloat(desfactot)+parseFloat(impfac)+parseFloat(flefac)+parseFloat(otrfac));
	
				var original=parseFloat(totfac);
				//var result=Math.round(original*100)/100 ;
				
				document.getElementById("totfac").value=original;
		
		
		}
		
	function actualizar_importe()
			{
			
			
				document.getElementById("PRE001").value="";
				document.getElementById("PRE002").value="";
				document.getElementById("importe").value="";
				document.getElementById("flete_producto").value="";
				document.getElementById("impuesto_producto").value="";
				document.getElementById("impuesto_factura").value="";
				document.getElementById("descuento_producto").value="";
				document.getElementById("descuento_factura").value="";
	
				var cosart=document.getElementById("cosart").value;
				var utiart1=document.getElementById("utiart1").value;
				var utiart2=document.getElementById("utiart1").value;
				var canart=document.getElementById("canart").value;
				var desfac=document.getElementById("desfac").value;
				var despro=document.getElementById("despro").value;   //// aplica el decuento total de la factura 
				var cob_iv=document.getElementById("cob_iv").value;
				var ivporc=document.getElementById("ivporc").value;
				var fleart=document.getElementById("fleart").value;
				
				
					if (document.getElementById("cob_iv").value==1){
				
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;
				utilidad1=(utiart1/100)+1;
				utilidad2=(utiart2/100)+1;
				
				costot = canart * cosart;
		
				
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
				tazaimpuesto = (ivporc/100)+1;    // porcentaje del impuesto  1.13
				
				impuesto_factura  =  (costo_con_descuento_factura * tazaimpuesto) -  costo_con_descuento_factura ; // monto del impuesto
				impuesto_producto =  (costo_con_descuento_producto * tazaimpuesto) - costo_con_descuento_producto ;  
				
			
				precio_costo_descuento_impuesto = cosart - descuento_producto + impuesto_producto ;  //  precio listo para calcular utilidad
				
				PRE001=precio_costo_descuento_impuesto * utilidad1 ;     // precio con utilidad 1
				PRE002=precio_costo_descuento_impuesto * utilidad2 ;		// precio con utilidad 2
								
				if (fleart=="") { fleart="0"} 
				
					PRE001= parseFloat(PRE001) + parseFloat(fleart) ;	
					PRE002= parseFloat(PRE002) + parseFloat(fleart) ;	

				flete_producto = fleart * canart ;
				impuesto_producto = impuesto_producto * canart ;
				impuesto_factura = impuesto_factura * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var original=parseFloat(PRE001);
				var result=Math.round(original);
				
				var original2=parseFloat(PRE002);
				var result2=Math.round(original2);
			
					var result3 =parseFloat(costot);
			
				document.getElementById("PRE001").value=result;
				document.getElementById("PRE002").value=result2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value=impuesto_producto;
				document.getElementById("impuesto_factura").value=impuesto_factura;
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
				
				} else {
					
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;
				utilidad1=(utiart1/100)+1;
				utilidad2=(utiart2/100)+1;
				
				costot = canart * cosart;
		
				
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
			
				precio_costo_descuento = cosart - descuento_producto ;  //  precio listo para calcular utilidad
				
				PRE001=precio_costo_descuento * utilidad1;     // precio con utilidad 1
				PRE002=precio_costo_descuento * utilidad2;		// precio con utilidad 2
				
					if (fleart=="") { fleart="0"} 
				
					PRE001= parseFloat(PRE001) + parseFloat(fleart) ;	
					PRE002= parseFloat(PRE002) + parseFloat(fleart) ;	
		
				flete_producto = fleart * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var original=parseFloat(PRE001);
				var result=Math.round(original);
				
				var original2=parseFloat(PRE002);
				var result2=Math.round(original2);
			
			
				var result3 =parseFloat(costot);
			
				document.getElementById("PRE001").value=result;
				document.getElementById("PRE002").value=result2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value="0";
				document.getElementById("impuesto_factura").value="0";
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
			}
			}
			
	//////////////////////////////////////////////////   actualiza utilidad //////////////////////////////////////////////
	
		function actualizar_utilidad()
			{
			

				document.getElementById("importe").value="";
				document.getElementById("flete_producto").value="";
				document.getElementById("impuesto_producto").value="";
				document.getElementById("impuesto_factura").value="";
				document.getElementById("descuento_producto").value="";
				document.getElementById("descuento_factura").value="";
	
				var cosart=document.getElementById("cosart").value;
				var PRE001=document.getElementById("PRE001").value;
				var PRE002=document.getElementById("PRE002").value;
				var canart=document.getElementById("canart").value;
				var desfac=document.getElementById("desfac").value;
				var despro=document.getElementById("despro").value;   //// aplica el decuento total de la factura 
				var cob_iv=document.getElementById("cob_iv").value;
				var fleart=document.getElementById("fleart").value;
				var ivporc=document.getElementById("ivporc").value;
		
				
					if (document.getElementById("cob_iv").value==1){
				
				tazaimpuesto = (ivporc/100)+1;    // porcentaje del impuesto  1.13
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;

				
				costot = canart * cosart;
		
			
					
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
				tazaimpuesto = (ivporc/100)+1;    // porcentaje del impuesto  1.13
				
				impuesto_factura  =  (costo_con_descuento_factura * tazaimpuesto) -  costo_con_descuento_factura ; // monto del impuesto
				impuesto_producto =  (costo_con_descuento_producto * tazaimpuesto) - costo_con_descuento_producto ;  
				
			
				precio_costo_descuento_impuesto = cosart - descuento_producto + impuesto_producto ;  //  precio listo para calcular utilidad
				
				utilidad1 = PRE001 - precio_costo_descuento_impuesto  - fleart;
				utilidad2 = PRE002 - precio_costo_descuento_impuesto  - fleart;
				
				utiart1 = ( utilidad1/precio_costo_descuento_impuesto) * 100 ;
				utiart2 = ( utilidad2/precio_costo_descuento_impuesto) * 100 ;
								
				if (fleart=="") { fleart="0"} 
				
					

				flete_producto = fleart * canart ;
				impuesto_producto = impuesto_producto * canart ;
				impuesto_factura = impuesto_factura * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var utiart1=parseFloat(utiart1);
				var utiart2=parseFloat(utiart2);
				var result3 =parseFloat(costot);
			
				document.getElementById("utiart1").value=utiart1;
				document.getElementById("utiart2").value=utiart2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value=impuesto_producto;
				document.getElementById("impuesto_factura").value=impuesto_factura;
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
				
				} else {
					
				des_factura=(desfac/100)+1;      // porcentaje del descuento 
				des_producto=(despro/100)+1;
		
				
				costot = canart * cosart;
		
				
				descuento_factura =   ( cosart *  des_factura) - cosart;   // monto del descuento  
				descuento_producto =   ( cosart *  des_producto) - cosart;
				
				costo_con_descuento_factura = cosart - descuento_factura;  //  costos con descuentos aplicados 
				costo_con_descuento_producto = cosart - descuento_producto;
				
			
				precio_costo_descuento_impuesto = cosart - descuento_producto  ;  //  precio listo para calcular utilidad
				
				utilidad1 = PRE001 - precio_costo_descuento_impuesto  - fleart;
				utilidad2 = PRE002 - precio_costo_descuento_impuesto  - fleart;
				
				utiart1 = ( utilidad1/precio_costo_descuento_impuesto) * 100 ;
				utiart2 = ( utilidad2/precio_costo_descuento_impuesto) * 100 ;
				
					if (fleart=="") { fleart="0"} 
				

		
				flete_producto = fleart * canart ;
				descuento_producto = descuento_producto * canart ;
				descuento_factura = descuento_factura * canart ;
				
				var utiart1=parseFloat(utiart1);
				var utiart2=parseFloat(utiart2);
				var result3 =parseFloat(costot)
			
				document.getElementById("utiart1").value=utiart1;
				document.getElementById("utiart2").value=utiart2;
				document.getElementById("importe").value=result3;
				document.getElementById("flete_producto").value=flete_producto;
				document.getElementById("impuesto_producto").value="0";
				document.getElementById("impuesto_factura").value="0";
				document.getElementById("descuento_producto").value=descuento_producto;
				document.getElementById("descuento_factura").value=descuento_factura;
				
					dscart.disabled=false;
			}
			}
					
			
			
			function validar_cabecera()
			{
			
		  	if (confirm(" Factura Completa ? "))
			
				var mensaje="";
				if (document.getElementById("cdgpro").value=="") mensaje+="  - Codigo proveedor\n"; enfoque="cdgpro";
				if (document.getElementById("dscpro").value=="") mensaje+="  - Nombre del proveedor\n"; enfoque="dscpro";
				if (document.getElementById("fecfac").value=="") mensaje+="  - Fecha de factura\n"; enfoque="fecfac";
				if (document.getElementById("fecpro").value=="") mensaje+="  - Fecha de proceso\n"; enfoque="fecpro";
				if (document.getElementById("totfac").value=="") mensaje+="  - Total de la factura\n"; enfoque="totfac";
				if (document.getElementById("numfac").value=="") mensaje+="  - Numero de la factura\n"; enfoque="numfac";
			    if (document.getElementById("preciotot").value=="") mensaje+="  - Total de Factura\n"; enfoque="preciotot";
		
					
		
				if (mensaje!="") {
					alert("Atencion, Los siguientes campos son obligatorios:\n\n"+mensaje);
						document.getElementById(enfoque).select();
				} else {
				
					
				
				preciotot=parseFloat(document.getElementById("preciotot").value);
				totfac=parseFloat(document.getElementById("totfac").value);
				baseimp=parseFloat(document.getElementById("baseimp").value);
					
					var impfac=document.getElementById("impfac").value;
					var subexe=document.getElementById("subexe").value;
					var subgra=document.getElementById("subgra").value;
					var desfactot=document.getElementById("desfactot").value;
		
	
 if (subexe==""){ subexe=0; document.getElementById("subexe").value=0.00;} else { subexe2= subexe.replace(",","");   subexe= subexe2.replace(",","");} ;
  if (subgra==""){ subgra=0; document.getElementById("subgra").value=0.00;} else { subgra2= subgra.replace(",","");   subgra= subgra2.replace(",","");} ;
  if (impfac==""){ impfac=0; document.getElementById("impfac").value=0.00;} else { impfac2= impfac.replace(",","");   impfac= impfac2.replace(",","");} ;
  if (desfactot==""){desfactot=0; document.getElementById("desfactot").value=0.00;}  else { desfactot= desfactot.replace(",",""); } ;
  
				
			
					basedes=parseFloat(document.getElementById("basedes").value);
					
					baseiva=parseFloat(document.getElementById("baseiva").value);
				
				
				diferencia_subtotal = baseimp-subgra-subexe ;
				diferencia_impuesto = baseiva-impfac;
				diferencia_descuento = basedes-desfactot;
				diferencia = diferencia_subtotal  + diferencia_impuesto + diferencia_descuento ;
				
				if (diferencia > 1 ) {
				
			if (confirm(" Atención la factura presenta una diferencia con el saldo de lineas, Desea continuar ? "));
	        dscpro.disabled=false;
		    numfac.disabled=false;
			cdgpro.disabled=false;
			document.getElementById("formulario").submit();
			 
				}else if (diferencia<-1 ){
				
			if (confirm(" Atención la factura presenta una diferencia con el saldo de lineas, Desea continuar ? "));
	        dscpro.disabled=false;
		    numfac.disabled=false;
			cdgpro.disabled=false;
			document.getElementById("formulario").submit();
			
				} else {
					 dscpro.disabled=false;
				     numfac.disabled=false;
					 cdgpro.disabled=false;
					document.getElementById("formulario").submit();
						
				}
			}}	
			
			
		
		function validar() 
			{
			
			
				var mensaje="";
				var mensaje="";
				var entero=0;
				var enteroo=0;
		         
		
				if (document.getElementById("cdgbar").value=="") mensaje="  - Código de articulo\n";  enfoque="cdgbar";
				if (document.getElementById("dscart").value=="") mensaje+="  - Descripción del articulo\n";  enfoque="dscart";
				if (document.getElementById("utiart1").value=="") mensaje+="  - Utilidad precio NORMAL\n"; enfoque="utiart1";
				//if (document.getElementById("utiart2").value=="") mensaje+="  - Utilidad precio MAYOREO \n"; enfoque="utiart2";
				if (document.getElementById("utiart1").value=="0") mensaje+="  - Utilidad precio NORMAL no pueder ser 0\n";  enfoque="utiart1";
			//	if (document.getElementById("utiart2").value=="0") mensaje+="  - Utilidad precio MAYOREO no pueder ser 0\n"; enfoque="utiart2";
				if (document.getElementById("cosart").value=="") { 
					
							mensaje+="  - Falta el costo\n"; 
						    enfoque="cosart";
						} else {
							if (isNaN(document.getElementById("cosart").value)==true) {
								mensaje+="  - El Costo debe ser numerico\n";
						        enfoque="cosart";
							}
						}
				if (document.getElementById("canart").value=="") 
						{ 
					     enfoque="canart";
						mensaje+="  - Falta la cantidad\n";
						
						} else {
							entero=document.getElementById("canart").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La cantidad debe ser numerica\n";
								  enfoque="canart";
							} else {
									document.getElementById("canart").value=entero;
								}
						}
				if (document.getElementById("utiart1").value=="") 
						{ 
						mensaje+="  - Falta la utilidad\n";
						  enfoque="utiart1";
						} else {
							entero=document.getElementById("utiart1").value;
							if (isNaN(entero)==true) {
								mensaje+="  - La utilidad debe ser numerica\n";
								  enfoque="utiart1";
							} else {
									document.getElementById("utiart1").value=entero;
								}
						}
				//if (document.getElementById("utiart2").value=="") 
					//	{ 
					//	mensaje+="  - Falta la utilidad\n";
					//	  enfoque="utiart2";
						//	document.getElementById("utiart1").select();
						
						//} else {
						//	entero=document.getElementById("utiart2").value;
						//	if (isNaN(entero)==true) {
							//	mensaje+="  - La utilidad debe ser numerica\n";
							//	  enfoque="utiart2";
							//} else {
							//		document.getElementById("utiart2").value=entero;            		document.getElementById("utiart2").select();
							//	}
					//	}				
				if (document.getElementById("desfac").value=="") 
						{ 
						document.getElementById("desfac").value=0 
						} else {
							entero=document.getElementById("desfac").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento de la factura debe ser numerico\n";
								  enfoque="desfac";
							} else {
								document.getElementById("desfac").value=entero;
							}
						} 
						
				if (document.getElementById("despro").value=="") 
						{ 
						document.getElementById("despro").value=0 
						} else {
							entero=document.getElementById("despro").value;
							if (isNaN(entero)==true) {
								mensaje+="  - El descuento del producto debe ser numerico\n";
								  enfoque="despro";
							} else {
								document.getElementById("despro").value=entero;
							}
						} 		
						
						
				if (document.getElementById("importe").value=="") mensaje+="  - Falta el Total\n";
				
				if (mensaje!="") {
					alert("Atencion, los siguientes campos son necesarios:\n\n"+mensaje);
						document.getElementById(enfoque).select();
				} else {
					document.getElementById("baseimponible").value=parseFloat(document.getElementById("baseimponible").value) + parseFloat(document.getElementById("importe").value);	//
					cambio_cob_iv();
					actualizar_importe();	
					
					document.getElementById("formulario_lineas").submit();
	
					document.getElementById("cdgbar").value="";
					document.getElementById("canart").value="";
					document.getElementById("dscart").value="";
					document.getElementById("cosart").value="";
					document.getElementById("utiart1").value="";
					document.getElementById("utiart2").value="";
					document.getElementById("importe").value="";
					document.getElementById("desfac").value="";
					document.getElementById("despro").value="";
					document.getElementById("cob_iv").value="";	
					document.getElementById("impuesto_factura").value="";
					document.getElementById("flete_producto").value="";		
					document.getElementById("impuesto_producto").value="";	
					document.getElementById("descuento_factura").value="";	
					document.getElementById("descuento_producto").value="";	
					document.getElementById("PRE001").value="";	
					document.getElementById("PRE002").value="";	
					document.getElementById("cdgbar").focus();
					document.getElementById("cdgbar").select();
					document.getElementById("cdglin").value="";	
					document.getElementById("cdgfam").value="";	
					document.getElementById("fleart").value="";
					document.getElementById("iv_porc").value="";
					document.getElementById("posicion").value="";	

					
				
				
							
				}
			}
			
		function cambio_cob_iv() {
			var original=parseFloat(document.getElementById("baseimponible").value);
			var result=Math.round(original*100)/100 ;
			document.getElementById("baseimponible").value=result;
	
			document.getElementById("baseimpuestos").value= parseFloat(document.getElementById("impuesto"));
			var original1=parseFloat(document.getElementById("baseimpuestos").value);
			var result1=Math.round(original1*100)/100 ;
			document.getElementById("baseimpuestos").value=result1;
			var original2=parseFloat(result + result1);
			var result2=Math.round(original2*100)/100 ;
			document.getElementById("preciototal").value=result2;
			
		}	



//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = ""

//funcion que gestiona el evento
function TelcaPulsada1( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
        validar();		//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.select()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada1;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
	///////////////////////////////////////////////// Funcion siguiente campo formulario lineas  /////////////////////////////////////




   	function inicio() {
		
				document.getElementById("formulario_lineas").submit();
				
		
		}


 		 function comprobar_fechas(){

/////////////////////////////////////////////  invierte la fecha a xxxx-xx-xx ////////////////////////////////	  
		  
	  var parts = document.getElementById("fecfac").value.split(/-/);
		parts.reverse();
		fecfac=parts.join('-');
		
	  var parts = document.getElementById("fecpro").value.split(/-/);
		parts.reverse();
		fecpro=parts.join('-');
		

	
//////////////////////////////////////  convierte la fecha a formato date para ser comparado /////////////////////////	

	 date1 = new Date(fecfac);
	 date2 = new Date(fecpro); 
		 
	var f1 = new Date();
	var f2 = new Date(date1); //31 de diciembre de 2015
	var f3 = new Date(date2);
	f1.setHours(0,0,0,0);
	f2.setHours(0,0,0,0);
	f3.setHours(0,0,0,0);

////////////////////////////////////////// compara las fechas ///////////////////////////////////////////////////////
	
	if (fecfac !=""){
		
		
		 var fechaArr = fecfac.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
		
	if (f2.getTime() > f1.getTime()){
	 alert("la Fecha de la factura no puede ser mayor a la Actual ");
	document.getElementById("fecfac").value="";
	document.getElementById("fecfac").select();
	}

 }else{
  alert("Error fecha de factura incorrecta favor verifique");
  document.getElementById("fecfac").value="";
  document.getElementById("fecfac").select();
 }
 
	}
	
	
	
	if (fecpro !=""){	
	
	 
  var fechaArr = fecpro.split('-');
 var aho = fechaArr[0];
 var mes = fechaArr[1];
 var dia = fechaArr[2];
 
 var plantilla = new Date(aho, mes - 1, dia);//mes empieza de cero Enero = 0
 if(!plantilla || plantilla.getFullYear() == aho && plantilla.getMonth() == mes -1 && plantilla.getDate() == dia){
 	
	
	if (f3.getTime() > f1.getTime()){
	 alert("la Fecha de proceso no puede ser mayor a la Actual ");
	document.getElementById("fecpro").value="";
	document.getElementById("fecpro").select();;
	}
 
 
 }else{
  alert("Error fecha proceso incorrecta favor verifique");
  document.getElementById("fecpro").value="";
  document.getElementById("fecpro").select();
 }
	

	}
	

	}
	
	
	
jQuery(function($){	
		$("#fecfac").mask("99-99-9999");
		$("#fecpro").mask("99-99-9999");
		});


				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}
////////////////////////////////////////////////////////




		function asociar_articulo_xml(codfactura,numlinea,cdgbar,dscart){
		var cdgpro=document.getElementById("cdgpro").value;
		if (cdgpro == "" ){

				
		alert("Atencion, Debe agregar codigo de proveedor");
		
		}else{
		
						miPopup = window.open("ver_articulos_asociar.php?cdgbar="+cdgbar+"&codfactura="+codfactura+"&numlinea="+numlinea+"&cdgpro="+cdgpro+"&dscart="+dscart,"miwin","width=1500,height=850,scrollbars=yes");
		
		}
		
		
		



			}	
			
			
			function validararticulo_xml(codfactura,numlinea,cdgbar,canart,dscart){

			//parent.validararticulo_xml(codfactura,numlinea,cdgbar,canart,dscart);
			
			//var dscart=document.getElementById("dscart").value;
			//var cdgbar=document.getElementById("cdgbar").value;
			//var codfactura=document.getElementById("codfactura2").value;
			//var numlinea=document.getElementById("numlinea").value;
			
						if (cdgbar != "" ){
		  miPopup = window.open("comprobararticulo_xml.php?cdgbar="+cdgbar+"&dscart="+dscart+"&codfactura="+codfactura+"&numlinea="+numlinea,"frame_datos2","width=900,height=90,scrollbars=yes");
			}
			
			}
				
			
		</script>
	    <style type="text/css">
<!--
.Estilo1 {color: #0000CC}
-->
        </style>
</head>
		<body   onKeyDown="javascript:f5()" onLoad=" inicio();  nobackbutton();">
		<div id="">
			<div id="zonaVentanasCompras">
				<div align="center">
					<div class="contenidoFactura2">
				<form id="formulario" name="formulario" method="post" action="guardar_compra_xml.php">
				  <table class="fuente8" width="100%" cellspacing=2 cellpadding=0 border=0>
                    <tr>
                      <td width="6%">&nbsp;</td>
                      <td><div align="right"></div></td>
                      <td colspan="7">&nbsp;</td>
                      <td>&nbsp;</td>
                      <td colspan="3"><div align="center" class="Estilo1"></div></td>
                      <td colspan="4"><div align="center"><span class="Estilo1">MODULO COMPRAS </span></div></td>
                    </tr>
                    <tr>
                      <td><img src="../img/Search_Male_User_Icon_32.png" width="25" height="27" title="Buscar proveedor"  onClick="abreVentana()" onMouseOver="style.cursor=cursor"></td>
                      <td><input name="cdgpro" type="text" class="cajaGrande" id="cdgpro"    value="<?php echo  $cdgproxml?>" click="limpiarcaja()" style='text-align:center;' onChange="validarproveedor(),validarfactura()" autocomplete= "off"   onFocus=" siguienteCampo ='subexe', nombreForm ='formulario';"></td>
                      <td colspan="7"><input name="dscpro" type="text" class="cajaGrande" id="dscpro"  value="<?php echo  $dscpro?>"maxlength="45" disabled=true  autocomplete= "off"   onFocus="siguienteCampo ='vehpla';"></td>
                      <input NAME="cdgprofac" class="cajaMedia" id="cdgprofac"   type="hidden" >
                      <input NAME="limcre" class="cajaMedia" id="limcre"  type="hidden"    >
                      <input NAME="salact" class="cajaMedia" id="salact"  type="hidden"    >
					     <input id="codfactura" name="codfactura" value="<?php echo $codfacturatmp?>" type="hidden">
						  <input id="codfacturatmp" name="codfacturatmp" value="<?php echo $codfacturatmp?>" type="hidden">
                      <td><div align="center">Credito</div></td>
                      <td width="9%"><select id="combotipoventa" name="combotipoventa" class="comboGrande"  onFocus="siguienteCampo ='kmsveh';">
                        <?php
					  			  	$tipo="SELECT * FROM tipoventa ORDER BY dsctipven DESC ";
                        $resultado = $mysqli->query($tipo) 
						?>
                        <?php
							while ($fila = $resultado->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgtipven"]?>"><?php echo  $fila["dsctipven"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td width="3%"><div align="center">Tipo</div></td>
                      <td width="8%"><select id="combotipocxp" name="combotipocxp" class="comboGrande"  onFocus="siguienteCampo ='kmsveh';">
                        <?php
						
					  	 $query_tipocxp="SELECT * FROM tipo_cxp ORDER BY cdgcxp ASC";
                        $result = $mysqli->query($query_tipocxp) 
						?>
                        <?php
							while ($fila = $result->fetch_assoc()) { ?>
                        <option value="<?php echo  $fila["cdgcxp"]?>"><?php echo  $fila["dsccxp"]?></option>
                        <?php 
								} ?>
                      </select></td>
                      <td width="5%"><div align="center">Fecha</div></td>
                      <td width="8%"><input NAME="fecfac"  type="text" class="cajaGrande" id="fecfac"  style='text-align:center;' value="<?php echo $fecha?>" onFocus="siguienteCampo ='fecpro', nombreForm ='formulario';"  maxlength="10"  onChange="comprobar_fechas()" ></td>
                      <td width="7%"><div align="center">Proceso</div></td>
                      <td width="9%"><input NAME="fecpro" type="text" class="cajaGrande" id="fecpro"  maxlength="10" style='text-align:center;' value="<?php echo $hoy?>" onFocus="siguienteCampo ='numfac', nombreForm ='formulario';"  onChange="comprobar_fechas()"  ></td>
                    </tr>
                    <tr>

                    
    

    
                      <td width="3%"> Fact </td>
                      <td width	="8%"><input name="numfac"  value="<?php echo $clave?>" autocomplete="off" type="text" class="cajaGrande" id="numfac" style='text-align:center;' onChange="validarfactura()" onFocus=" siguienteCampo ='subgra', nombreForm ='formulario';"></td>
                      <td width="3%">SubGra</td>
                      <td width="7%"><input name="subgra" value="<?php echo $subgra?>" type="text" autocomplete="off" class="cajaGrande" id="subgra" style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()" onFocus=" calcular_factura(), siguienteCampo ='subexe', nombreForm ='formulario';"></td>
                      <td width="3%">SubExe</td>
                      <td width="7%"><input name="subexe" value="<?php echo $subexe?>" type="text" autocomplete="off" class="cajaGrande" id="subexe" style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()" onFocus=" calcular_factura(), siguienteCampo ='desfactot', nombreForm ='formulario';"></td>
                      <td width="3%"> <div align="center">Desc. </div></td>
                      <td width="6%" colspan="2"><input name="desfactot" value="<?php echo $totdes?>"  autocomplete="off" type="text" class="cajaGrande" id="desfactot" style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()"   onFocus=" calcular_factura(), siguienteCampo ='impfac', nombreForm ='formulario';"></td>
                      <td width="3%" align="right">I.V.A</td>
                      <td width="6%"><input name="impfac" type="text"  value="<?php echo $iva?>" autocomplete="off" class="cajaGrande" id="impfac"  style='text-align:right;'  onKeyPress="mascara(this,moneda) " onBlur="  calcular_factura()"  onFocus=" calcular_factura(), siguienteCampo ='flefac', nombreForm ='formulario';"></td>
                      <td width="3%"><div align="center">Flete</div></td>
                      <td width="8%"><input name="flefac" type="text"  value="<?php echo $flete?>" autocomplete="off" class="cajaGrande" id="flefac"  style='text-align:right;'  onKeyPress="mascara(this,moneda) " onBlur="calcular_factura()"   onFocus="calcular_factura(), siguienteCampo ='otrfac', nombreForm ='formulario';"></td>
                      <td width="5%"><div align="center">Otros</div></td>
                      <td width="8%"><input name="otrfac" type="text"   value="<?php echo $otros?>" autocomplete="off" class="cajaGrande" id="otrfac"  style='text-align:right;' onKeyPress="mascara(this,moneda) "  onBlur=" calcular_factura()"  onFocus=" calcular_factura(), siguienteCampo ='subgra', nombreForm ='formulario';"></td>
                      <td width="7%"><div align="center">Total</div></td>
                      <td width="9%"><input name="totfac" type="text" value="<?php echo $totcomp?>" class="cajaGrande" id="totfac" onChange=" calcular_factura()"  readonly=""  style='text-align:right;'onFocus="siguienteCampo ='cdgbar', nombreForm ='formulario';"></td>
                  </table>

			  <input id="baseimpuestos2" name="baseimpuestos" value="<?php echo $baseimpuestos?>" type="hidden">  

			  <input id="baseimponible2" name="baseimponible" value="<?php echo $baseimponible?>" type="hidden">
			  <input id="preciototal2" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
			  
			  <input id="accion" name="accion" value="alta" type="hidden">
				<input name="fecha2" type="hidden" class="cajaMedia" id="fecha2" size="10" maxlength="10" style='text-align:center;' value="<?php echo $nomb?>" readonly>
			
				</form>
				<form id="formulario_lineas" name="formulario_lineas" method="post" action="frame_lineas_xml.php" target="frame_lineas">

                    <input id="cliexe2" name="cliexe2" value="<?php echo $cliexe?>"  type="hidden" >
                    <input id="filas" name="filas" value="<?php echo $filas?>"  type="hidden" >
                    <input id="preciotot" name="preciotot" value="<?php echo $preciotot?>"  type="hidden" >
                      <input id="baseiva" name="baseiva" value="<?php echo $baseiva?>"  type="hidden" >
                    <input id="basedes" name="basedes" value="<?php echo $basedes?>"  type="hidden" >
                    <input id="baseimp" name="baseimp" value="<?php echo $baseimp?>"  type="hidden" >
						  <input id="codlineatmp" name="codlineatmp" type="hidden" value="<?php echo $codlineatmp ?>" >
				  		  <input id="codproforma" name="codproforma" type="hidden" value="<?php echo $codproforma ?>" >
                    <input id="codfactura2" name="codfactura2" type="hidden" value="<?php echo $codfactura ?>" >
                     <input id="codfacturatmp" name="codfacturatmp" type="hidden" value="<?php echo $codfacturatmp ?>" >
                      <input id="codfactura" name="codfactura" type="hidden" value="<?php echo $codfacturatmp ?>" >
    
                          <input id="numlinea" name="numlinea" type="hidden" value="" >
                            <input id="posicion" name="posicion" type="hidden" value="" >


		
					 <input name="PRE002" value="" type="hidden" id="PRE002">
					 <input name="descuento_factura" value="" type="hidden" id="descuento_factura">
					 <input name="descuento_producto" value="" type="hidden" id="descuento_producto">
					 <input name="impuesto_factura" value="" type="hidden" id="impuesto_factura">
					 <input name="impuesto_producto" value="" type="hidden" id="impuesto_producto">
					  <input name="flete_producto" value="" type="hidden" id="flete_producto">
				  	<input name="codarticulo" value="<?php echo $codarticulo?>" type="hidden" id="codarticulo">
					<input name="cob_iv"  id="cob_iv" value="" type="hidden">
					<input name="ivporc"  id="ivporc" value="" type="hidden">
					 <input name="cdglin" value="" type="hidden" id="cdglin">
					<input name="cdgfam" value="" type="hidden" id="cdgfam">
				</div>
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
                  <tr class="cabeceraTabla">
                    <td width="6%"><span >COD.</span></td>
                    <td width="6%"><span>CANT.</span></td>
                    <td width="27%"><span >DETALLE</span></td>
                    <td width="7%"><span>COSTO</span></td>
                    <td width="5%">FLETE</td>
                    <td width="5%"><span >UTI</span></td>
                    <td width="6%">D.PRO</td>
                    <td width="7%">ANTERIOR</td>
                    <td width="7%">ACTUAL</td>
                    <td width="7%"><span>D.FAC</span></td>
                    <td width="6%"><span>MONTO</span></td>
                    <td width="11%">&nbsp;</td>
                  </tr>
                </table>
				<div id="lineaResultado2">
				  <iframe width="100%" height="430" id="frame_lineas" name="frame_lineas" frameborder="0">
                  <ilayer width="100%" height="320" id="frame_lineas" name="frame_lineas"></ilayer>
				  </iframe>
				</div>					
			  </div>
			  <div id="frmBusqueda" style="display:none">
				<table width="25%" border=0 align="right" cellpadding=3 cellspacing=0 class="fuente8">
			  <tr>
			    <td width="27%" class="busqueda">Sub-total</td>
				<td width="73%" align="right"><div align="center">
			      <input class="cajaTotales" name="baseimponible" type="text" id="baseimponible" size="12" value=0 align="right" readonly> 
		        </div></td>
				  </tr>
				  <tr>
					<td class="busqueda">IVA</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="baseimpuestos" type="text" id="baseimpuestos" size="12" align="right" value=0 readonly> 
		        </div></td>
			  </tr>
			  <tr>
				<td class="busqueda">Precio Total</td>
				<td align="right"><div align="center">
			      <input class="cajaTotales" name="preciototal" type="text" id="preciototal" size="12" align="right"  readonly> 
		        </div></td>
			  </tr>
		</table>
			  </div>
				<div id="botonBusquedaAWGP">					
				  <div align="center">
                  		<?php 	
			//if ($validamensaje == 0  &&  $validacion_cedula ==  0   ){?>

				    <img src="../img/Symbol-Check_48x48-32.png" name="boton" width="48" height="48" border="0" class="aCentro"  id="boton"    onClick=" validar_cabecera(); " onMouseOver="style.cursor=cursor"  >
                    <?php // }  ?>
					<img src="../img/Symbol-Delete_48x48-32.png" width="48" height="48" border="0" class="aCentro" onClick="lista_xml()" onMouseOver="style.cursor=cursor">
				    <input id="codfamilia" name="codfamilia" value="<?php echo $codfamilia?>" type="hidden">
				    	
					<input id="preciototal" name="preciototal" value="<?php echo $preciototal?>" type="hidden">
								    
			      </div>
				</div>
			  		<iframe id="frame_datos1" name="frame_datos1" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos1" name="frame_datos1"></ilayer>
					</iframe>
					<iframe id="frame_datos2" name="frame_datos2" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos2" name="frame_datos2"></ilayer>
					</iframe>
			        <iframe id="frame_datos3" name="frame_datos3" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos3" name="frame_datos3"></ilayer>
					</iframe>
                    	<iframe id="frame_datos4" name="frame_datos4" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos4" name="frame_datos2"></ilayer>
					</iframe>
			  </form>
              
      <?php

?>
		  </div>
    </div>
		</div>
	</body>
</html>





